# IO.Swagger.Api.DmasApi

All URIs are relative to *https://location.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**DmasDmaIdGet**](DmasApi.md#dmasdmaidget) | **GET** /dmas/{dmaId} | DMA geographical metadata

<a name="dmasdmaidget"></a>
# **DmasDmaIdGet**
> DmaObj DmasDmaIdGet (int? dmaId)

DMA geographical metadata

Returns Designated Market Area geographical metadata

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class DmasDmaIdGetExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-API-KEY", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-API-KEY", "Bearer");

            var apiInstance = new DmasApi();
            var dmaId = 56;  // int? | A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/).

            try
            {
                // DMA geographical metadata
                DmaObj result = apiInstance.DmasDmaIdGet(dmaId);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling DmasApi.DmasDmaIdGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **dmaId** | **int?**| A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). | 

### Return type

[**DmaObj**](DmaObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
