# IO.Swagger.Api.OnpointsApi

All URIs are relative to *https://location.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**OnpointsOnpointIdGet**](OnpointsApi.md#onpointsonpointidget) | **GET** /onpoints/{onpointId} | OnPoint™ point geographical metadata

<a name="onpointsonpointidget"></a>
# **OnpointsOnpointIdGet**
> OnpointObj OnpointsOnpointIdGet (int? onpointId)

OnPoint™ point geographical metadata

Returns geographical metadata an OnPoint™ point.<br><br> Our patented OnPoint™ system uniquely identifies metadata for OnPoint™ IDs on the North America (5 km) and Global (22 km) grids. This resource is globally available, everywhere there is landmass (except Antartica). 

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class OnpointsOnpointIdGetExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-API-KEY", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-API-KEY", "Bearer");

            var apiInstance = new OnpointsApi();
            var onpointId = 56;  // int? | An OnPoint™ ID.

            try
            {
                // OnPoint™ point geographical metadata
                OnpointObj result = apiInstance.OnpointsOnpointIdGet(onpointId);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling OnpointsApi.OnpointsOnpointIdGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **onpointId** | **int?**| An OnPoint™ ID. | 

### Return type

[**OnpointObj**](OnpointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
