# IO.Swagger.Api.PointsApi

All URIs are relative to *https://location.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**PointsLatitudelongitudeGet**](PointsApi.md#pointslatitudelongitudeget) | **GET** /points/{latitude},{longitude} | Latitude/Longitude geographical metadata

<a name="pointslatitudelongitudeget"></a>
# **PointsLatitudelongitudeGet**
> PointObj PointsLatitudelongitudeGet (float? latitude, float? longitude)

Latitude/Longitude geographical metadata

Returns geographical metadata for a latitude/longitude point

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class PointsLatitudelongitudeGetExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-API-KEY", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-API-KEY", "Bearer");

            var apiInstance = new PointsApi();
            var latitude = 3.4;  // float? | A latitude value between -90° and 90°.
            var longitude = 3.4;  // float? | A longitude value between -180° (West) and 180° (East).

            try
            {
                // Latitude/Longitude geographical metadata
                PointObj result = apiInstance.PointsLatitudelongitudeGet(latitude, longitude);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling PointsApi.PointsLatitudelongitudeGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **latitude** | **float?**| A latitude value between -90° and 90°. | 
 **longitude** | **float?**| A longitude value between -180° (West) and 180° (East). | 

### Return type

[**PointObj**](PointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
