# IO.Swagger.Api.PostcodesApi

All URIs are relative to *https://location.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**PostcodesPostcodecountryCodeGet**](PostcodesApi.md#postcodespostcodecountrycodeget) | **GET** /postcodes/{postcode},{countryCode} | Postcode geographical metadata

<a name="postcodespostcodecountrycodeget"></a>
# **PostcodesPostcodecountryCodeGet**
> PostcodeObj PostcodesPostcodecountryCodeGet (string postcode, string countryCode)

Postcode geographical metadata

Returns geographical metadata for a postcode

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class PostcodesPostcodecountryCodeGetExample
    {
        public void main()
        {
            // Configure API key authorization: ApiKeyAuth
            Configuration.Default.AddApiKey("X-API-KEY", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.AddApiKeyPrefix("X-API-KEY", "Bearer");

            var apiInstance = new PostcodesApi();
            var postcode = postcode_example;  // string | A postcode string.
            var countryCode = countryCode_example;  // string | An uppercase 2-character [ISO 3166-1 Alpha-2 country code](https://developer.weathersourceapis.com/apis/countries-with-postal-code-support/).

            try
            {
                // Postcode geographical metadata
                PostcodeObj result = apiInstance.PostcodesPostcodecountryCodeGet(postcode, countryCode);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling PostcodesApi.PostcodesPostcodecountryCodeGet: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **postcode** | **string**| A postcode string. | 
 **countryCode** | **string**| An uppercase 2-character [ISO 3166-1 Alpha-2 country code](https://developer.weathersourceapis.com/apis/countries-with-postal-code-support/). | 

### Return type

[**PostcodeObj**](PostcodeObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)
